using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace DTable_App.admin
{
	/// <summary>
	/// menumg 的摘要说明。
	/// </summary>
	public class menumg : System.Web.UI.Page
	{
		protected dtable.dTable DTable1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			sharecode.CheckAdmin();
			sharecode.CheckAdminQx("后台菜单管理");
			DTable1.TableName="menu_tb";
			DTable1.ConnStr =sharecode.ConnStr;
			DTable1.List_SQL="select a.menu_id,a.menu_name as 菜单名称,b.menu_name as 父菜单,a.menu_description as 描述,a.url_add as 链接地址,a.menu_lb as 类别 from menu_tb a left outer join menu_tb b on a.parent_id=b.menu_id order by a.parent_id,a.menu_id desc";

			DTable1.AdminMode=true;
			DTable1.Edit_FieldList="menu_id,menu_name as 菜单名称,parent_id as 父菜单,menu_description as 描述,url_add as 链接地址,menu_lb as 类别"; 
			DTable1.Edit_FieldFormat ="2||dbselectvalue|select menu_id,menu_name from menu_tb||||^5||defaultvalue|后台管理||||";
			
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
